### Function

# GLib SList concat

#### Declaration [src]

    GSList*
    g_slist_concat (
      GSList* list1,
      GSList* list2
    )

#### Description [src]

Adds the second `GSList` onto the end of the first `GSList`. Note that the elements of the second `GSList` are not copied. They are used directly.

This function is not directly available to language bindings.

#### Parameters

`list1`

  Type: A list of `gpointer`

  A `GSList`.

  The data is owned by the caller of the function.

`list2`

  Type: A list of `gpointer`

  The `GSList` to add to the end of the first `GSList`.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

The start of the new `GSList`.

The data is owned by the called function.